

#include <SPI.h>
#include <Ethernet.h>

/*
//MODIFIER ces paramètres en fonction de ceux de votre PC 
//Attention ! Conserver les virgules ainsi que les "0x" pour l'adresse mac
byte mac[] = {0xZZ, 0xZZ, 0xZZ,0xZZ, 0xZZ,0xZZ};
byte passerelle[] = {ZZZ,ZZZ,ZZZ,ZZZ};
byte masque[] = {ZZZ,ZZZ,ZZZ,ZZZ};
byte ip[] = {ZZZ,ZZZ,ZZZ,ZZZ};
*/

byte mac[] = {0xD8, 0x9E, 0xF3,0x1A, 0xB2,0xFB};
byte passerelle[] = {172, 16, 203, 254};
byte masque[] = {255, 255, 252, 0};
byte ip[] = {172,16,203,222};


int ma_variable = 0;


// (port 80 is default for HTTP):
EthernetServer server(80);

void setup() {

  Serial.begin(9600);

  // Initialisation communication Ethernet
 

  Ethernet.begin(mac, ip, passerelle, masque);

  Serial.println("Configuration DHCP OK\n");

  // Affichage adresse IP Arduino
  Serial.print("Adresse IP de l'Arduino : ");
  Serial.println(Ethernet.localIP());
  Serial.println();

  Serial.println("Connexion au reseau en cours...\n");

}


void loop() {
  
  ma_variable = ma_variable + 1;
  // Création d'un client
  EthernetClient client = server.available();


  if (client) {
    boolean nouvelle_ligne = true;
    while (client.connected()) {
      if (client.available()) {
        char c = client.read();  // lecture des caractères recus par le client
        Serial.print(c); // affichage pour information seulement sur le moniteur du PC

        // envoi de la réponse au format html classique
        if (c == '\n' && nouvelle_ligne) {
          client.println("HTTP/1.1 200 OK");
          client.println("Content-Type: text/html");
          client.println("Connection: close");
          client.println();
          client.println("<!DOCTYPE HTML>");
          client.println("<html>");
          client.println("<head>");
          client.println("<meta charset=\"UTF-8\">");
          client.println("<title>Serveur Arduino</title>");
          client.println("</head>");
          client.println("<body>");
          client.println("Bonjour les élèves de la spécialité SI");
          client.println("<br/>");
          client.print("Le contenu de ma variable est :");
          client.print(ma_variable);
          client.println("<body>");
          client.println("</html>");
          break;
        }

        if (c == '\n') {
          // c'est une nouvelle ligne
          nouvelle_ligne = true;
                  }
        else if (c != '\r') {
          // il y a encore des caractères à lire
          nouvelle_ligne = false;
         }

      }
      
    }

    // fermeture de la connection par le serveur après 10 ms
    delay(10);
    client.stop();

  }
}
